org.apache.ode.jacob.examples.eratosthenes

## Class Sieve

- java.lang.Object
- - org.apache.ode.jacob.JacobObject
  - - org.apache.ode.jacob.JacobRunnable
    - - org.apache.ode.jacob.examples.eratosthenes.Sieve

- All Implemented Interfaces:
    java.io.Serializable

      public class Sieve
      extends JacobRunnable

  Sieve of Eratosthenes prime number generator. This class represents the following process term:

       Sieve :=
        (v integers)(v primes) Counter(integer,2) | Head(integer, primes) | Print(primes)

  Created on Feb 12, 2004 at 6:32:49 PM.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Sieve.Foo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sieve()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `run()` Peform the template reduction, i.e. do whatever it is that the templetized process does.

    - ### Methods inherited from class org.apache.ode.jacob.JacobRunnable

      `getImplementedMethods, toString`

    - ### Methods inherited from class org.apache.ode.jacob.JacobObject

      `getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Sieve

          public Sieve()

  - ### Method Detail

    - #### run

          public void run()

      Description copied from class: `JacobRunnable`
      Peform the template reduction, i.e. do whatever it is that the templetized process does. This method may do some combination of in-line Java, and JACOB operations.

      Note that JACOB operations are performed in parallel, so the sequencing of JACOB operations is irrelevant

      Specified by:
        `run` in class `JacobRunnable`

    - #### main

          public static void main(java.lang.String[] args)